Project Chrono: chrono::parsers::ChParserOpenSim::Report Class Reference

Classes | Public Member Functions | Public Attributes | List of all members
chrono::parsers::ChParserOpenSim::Report Class Reference

## Description

Report containing information about objects parsed from file.

`#include <ChParserOpenSim.h>`

## Classes
struct | JointInfo
| Information about a joint read in from OpenSim. More...
struct | ForceInfo
| Information about a custom load created from OpenSim. More...

## Public Member Functions
void | Print () const
| Print information on all modeling elements parsed from osim file.
std::shared_ptr< ChBodyAuxRef > | GetBody (const std::string &name) const
| Get a handle to the body with specified name.
std::shared_ptr< ChLink > | GetJoint (const std::string &name) const
| Get a handle to the joint with specified name.
std::shared_ptr< ChLoadBase > | GetForce (const std::string &name) const
| Get a handle to the force element with specified name.

## Public Attributes
std::unordered_map< std::string, std::shared_ptr< ChBodyAuxRef > > | bodies
| list of body information
std::unordered_map< std::string, JointInfo > | joints
| list of joint information
std::unordered_map< std::string, ForceInfo > | forces
| list of force information

## Member Function Documentation

## ◆ GetBody()

std::shared_ptr< ChBodyAuxRef > chrono::parsers::ChParserOpenSim::Report::GetBody | ( | const std::string & | name | ) | const

Get a handle to the body with specified name.

If none exists, an empty shared pointer is returned. Note that all bodies created by the parser are of type ChBodyAuxRef (i.e., using a non-centroidal reference frame).

## ◆ GetForce()

std::shared_ptr< ChLoadBase > chrono::parsers::ChParserOpenSim::Report::GetForce | ( | const std::string & | name | ) | const

Get a handle to the force element with specified name.

If none exists, an empty shared pointer is returned. The caller may need to downcast to the appropriate type.

## ◆ GetJoint()

std::shared_ptr< ChLink > chrono::parsers::ChParserOpenSim::Report::GetJoint | ( | const std::string & | name | ) | const

Get a handle to the joint with specified name.

If none exists, an empty shared pointer is returned. The caller may need to downcast to the appropriate type.

The documentation for this class was generated from the following files:

- D:/W/B/src/chrono-9.0.1/src/chrono_parsers/ChParserOpenSim.h
- D:/W/B/src/chrono-9.0.1/src/chrono_parsers/ChParserOpenSim.cpp